// cpacvwms.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _CPACVWMS_HPP_
#define _CPACVWMS_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Meca_Res.h"

//External Modules
#include "CTL.h"
//End of External Modules

class CPA_Meca_MyDocument;
class CPA_Meca_Card;
class CPA_Meca_CardType;
class CPA_Meca_CardTypeList;

/////////////////////////////////////////////////////////////////////////////
// CPA_Meca_MiniStrucView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CPA_Meca_MiniStrucView : public CTL_Editor_BaseFormView
{
public:
	CPA_Meca_MiniStrucView();

protected:
	DECLARE_DYNCREATE(CPA_Meca_MiniStrucView)

// Attributes
public:
	CRect m_crEditionRect;

protected:

private:
	CPA_Meca_CardType *m_pclOldCardType;

// Implementation
public:
	void m_fn_vDisplaySelectedCard();
	void m_fn_vUpdateAllDatas();

	//To display a Card (<--> Datas)
	void m_fn_vEditCard(CPA_Meca_Card *pclNewCard);
	
	//To display a Card Type (<--> the associated controls)
	void m_fn_vDisplayCardType(	CPA_Meca_CardType *pclNewCardType,
															BOOL bMustRepaint = FALSE);

	CPA_Meca_MyDocument* m_fn_pclGetDocument();
 
protected:

private:
	void m_fn_vCreateAllMS();
	void m_fn_vCreateMS(CPA_Meca_CardTypeList *pclList);

// Form Data
public:
	//{{AFX_DATA(CPA_Meca_MiniStrucView)
	enum { IDD = IDD_MECA_DIALOG_MS_VIEW };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPA_Meca_MiniStrucView)
	//protected:
	public:
//	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CPA_Meca_MiniStrucView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CPA_Meca_MiniStrucView)
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#endif //_CPACVWMS_HPP_

